Subject: Re: What's cooking in git.git (Sep 2013, #01; Tue, 3)

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Sep 2013 09:28:20 -0700

Jiang Xin <[email-masked]> writes:

> 2013/9/4 Junio C Hamano <[email-masked]>:
>> * jx/branch-vv-always-compare-with-upstream (2013-08-26) 2 commits
>>  - status: always show tracking branch even no change
>>  - branch: report invalid tracking branch as gone
>>
>>  "git branch -v -v" (and "git status") did not distinguish among a
>>  branch that does not build on any other branch, a branch that is in
>>  sync with the branch it builds on, and a branch that is configured
>>  to build on some other branch that no longer exists.
>>
>>  Am I waiting for another reroll?
>
> No more reroll if no more votes for “absent" vs "gone", and
> "in sync with" vs "up-to-date with".

I re-read the thread and the way I read both of these choices is
that they were merely "this other word is also possible, may be
better, but may be not." and not meant as strong recommendations.

Since that seems to be the only remaining issue, let's unchock and
merge the topic to 'next'.

Thanks.

> Currently, we choose "gone”
> and "up-to-date with", such as:
>
>         $ git branch -v -v
>           master    e67ac84 initial
>         * topic     3fc0f2a [topicbase: gone] topic
>
>         $ git status
>         # On branch topic
>         # Your branch is based on 'topicbase', but the upstream is gone.
>         #   (use "git branch --unset-upstream" to fixup)
>         ...
>
>         $ git status
>         # On branch feature1
>         # Your branch is up-to-date with 'github/feature1'.
>         ...